%global pypi_name sphinxcontrib-httpdomain

%define version 1.1.9
%define python3 0

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Sphinx domain for HTTP APIs

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
Sphinx domain for HTTP APIs

%if %python3
%package -n python3-%{pypi_name}
Summary:        Sphinx domain for HTTP APIs
Group:          Development/Python

Requires:       %{pypi_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Sphinx domain for HTTP APIs
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%apply_patches

%if %python3
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/sphinxcontrib*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/sphinxcontrib*
%endif


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.9-3.mga4
+ Revision: 544217
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.9-2.mga4
+ Revision: 499421
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 neoclust <neoclust> 1.1.9-1.mga4
+ Revision: 494843
- imported package python-sphinxcontrib-httpdomain

